
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #586

LyricWiki, strange edit link

November 09, 2015 16:31 - Dmitry Artemov

Status: Closed Start date: November 09, 2015

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/lyricwiki Estimated time: 0.00 hour

Target version: 3.7.1   

Affects version: 3.7   

Description

LyricWiki generates strange edit link if song has no lyrics on lyrics.wikia.com.

Example:

http://lyrics.wikia.com/index.php?action=edit&title=index.php?title=Serj_Tankian:Song+Of+Sand&amp;action=edit

Correct link:

http://lyrics.wikia.com/index.php?action=edit&title=Serj_Tankian:Song+Of+Sand

Also in case of cyrillic text LyricWiki generates link like that:

http://lyrics.wikia.com/index.php?action=edit&title=index.php?title=%C3%90%C2%A1%C3%90%C2%BB%C3%90%C2%BE%C3%9

1%C2%82:%C3%90%C2%91%C3%90%C2%BE%C3%90%C2%B9&amp;action=edit

(incorrect title encoding!)

Correct link:

http://lyrics.wikia.com/index.php?action=edit&title=%D0%A1%D0%BB%D0%BE%D1%82:%D0%91%D0%BE%D0%B9

Audacious version: 3.7.1.

OS: Linux Mint 17.2 Cinnamon 64-bit

History

#1 - November 09, 2015 23:36 - John Lindgren

- Target version deleted (3.7.1)

- Affects version 3.7 added

- Affects version deleted (3.7.1)

Not sure where you came up with "3.7.1".  The newest version is 3.7.

#2 - November 10, 2015 07:58 - Dmitry Artemov

3.7-1~webupd8~trusty0

Of course 3.7 :) Sorry

#3 - November 14, 2015 05:06 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.7.1

- % Done changed from 0 to 100

Fixed.  The character encoding bug is entirely on the server side, not in Audacious, but we can work around it.
